# Change commit and date if new from upstream
%global commit a1192166c6c7a214a5534d395bb0771696ff504c
%global shortcommit %(c=%{commit}; echo ${c:0:7})
%global date 20200618

Name:      uio-zabbix
Version:   0.41
Release:   1.%{date}git%{shortcommit}%{?dist}
Summary:   Zabbix tools and scripts for UIO

Group:     Applications/System
License:   GPLv3+

URL:       http://www.usit.uio.no/om/organisasjon/it-drift/gd/gid/
Source0:   http://git.uio.no/git/?p=uio-zabbix.git;a=snapshot;h=%{commit};sf=tbz2#/%{name}-%{shortcommit}.tar.bz2
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package is the base container for Zabbix related tools and scripts

%package userparam
Summary:   Zabbix userparameter scripts 
Group:     Applications/System
License:   GPLv3+
Requires:  perl(JSON)
%if 0%{?rhel} && 0%{?rhel} <= 7
Requires: python-requests
%else
Requires: python2-requests
%endif

%description userparam
This package contains scripts that must be run on the same machine that
they are meant to gather data from.

%prep 
%setup -q -n %{name}-%{shortcommit}

%build

%install 
install -d -m 0755 %{buildroot}%{_bindir}
install -p -m 0755 get_default_gateway %{buildroot}%{_bindir}
install -p -m 0755 zabbix_elasticsearch_cluster_health.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_networkteam_info.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_elk_container.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_elasticsearch_node_stats.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_filesystem_limits.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_filesystem_not_monitored.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_webapps_info.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_webapps_status.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_webapps_status_v2.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_vg_usedpercent.pl %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_docker_pool_percent.pl %{buildroot}%{_bindir}
install -d -m 0755 %{buildroot}%{_sysconfdir}
install -p -m 0644 zabbix_filesystems_limits.conf %{buildroot}%{_sysconfdir}
install -p -m 0644 zabbix_filesystems_not_monitored.conf %{buildroot}%{_sysconfdir}
install -p -m 0755 zabbix_rabbitmq_stats.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_haproxy_stats.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_haproxy_autodiscovery.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_logstash_stats.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_logstash_autodiscovery.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_get_rabbitmq_stats.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_rabbitmq_autodiscovery.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_gfs2_autodiscovery.pl %{buildroot}%{_bindir}
install -p -m 0755 zabbix_ca_bundle_info.py %{buildroot}%{_bindir}
install -p -m 0755 zabbix_memcached_info.py %{buildroot}%{_bindir}

%files userparam
%defattr(-,root,root, 0755)
%{_bindir}/get_default_gateway
%{_bindir}/zabbix_elasticsearch_cluster_health.py
%{_bindir}/zabbix_elasticsearch_node_stats.py
%{_bindir}/zabbix_filesystem_limits.py
%{_bindir}/zabbix_filesystem_not_monitored.py
%{_bindir}/zabbix_get_webapps_info.py
%{_bindir}/zabbix_get_webapps_status.py
%{_bindir}/zabbix_get_webapps_status_v2.py
%{_bindir}/zabbix_networkteam_info.py
%{_bindir}/zabbix_elk_container.py
%{_bindir}/zabbix_get_vg_usedpercent.pl
%{_bindir}/zabbix_get_docker_pool_percent.pl
%{_bindir}/zabbix_rabbitmq_stats.py
%{_bindir}/zabbix_get_haproxy_stats.py
%{_bindir}/zabbix_haproxy_autodiscovery.py
%{_bindir}/zabbix_get_logstash_stats.py
%{_bindir}/zabbix_logstash_autodiscovery.py
%{_bindir}/zabbix_get_rabbitmq_stats.py
%{_bindir}/zabbix_rabbitmq_autodiscovery.py
%{_bindir}/zabbix_gfs2_autodiscovery.pl
%{_bindir}/zabbix_ca_bundle_info.py
%{_bindir}/zabbix_memcached_info.py 

%config(noreplace) %{_sysconfdir}/zabbix_filesystems_limits.conf
%config(noreplace) %{_sysconfdir}/zabbix_filesystems_not_monitored.conf 


%changelog

* Thu Jun 18 2020 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.41-1
- New release 0.41-1. Zabbix HAproxy script updated

* Thu Apr 30 2020 Mustafa Ocak <mustafa.ocak@usit.uio.no> - 0.40-2
- New release 0.40-2. Bugfix for fedora 32 package build.

* Mon Apr 01 2020 Mustafa Ocak <mustafa.ocak@usit.uio.no> - 0.40
- New release 0.40. With new script to monitor memcached.

* Mon Mar 30 2020 Mustafa Ocak <mustafa.ocak@usit.uio.no> - 0.39
- New release 0.39. With new script to monitor ca certificates.

* Thu Mar 12 2020 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.38-1
- New release 0.38-1. Update zabbix_get_logstash_stats.py

* Wed Nov 13 2019 Paal Braathen <paal.braathen@usit.uio.no> - 0.37-2
- New release 0.37-2

* Tue Nov 12 2019 Paal Braathen <paal.braathen@usit.uio.no> - 0.37
- New release 0.37. With python requests required

* Wed May 15 2019 Paal Braathen <paal.braathen@usit.uio.no> - 0.36
- New release 0.36

* Mon May 13 2019 Paal Braathen <paal.braathen@usit.uio.no> - 0.35
- Remove uio-zabbix-infrastructure sub package

* Mon Nov 05 2018 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.34
- Install the new gfs2 script

* Thu Nov 01 2018 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.33
- Added GFS2 autodiscovery - New release 0.33

* Mon Oct 29 2018 Carl Morten Boger <c.m.boger@usit.uio.no> - 0.32
- New release 0.32

* Mon Oct 29 2018 Carl Morten Boger <c.m.boger@usit.uio.no> - 0.31
- New release 0.31

* Fri Oct 26 2018 Carl Morten Boger <c.m.boger@usit.uio.no> - 0.30
- New release 0.30

* Wed Apr 25 2018 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.29
- New release 0.29

* Wed Feb 14 2018 Mustafa Ocak <muo@usit.uio.no> - 0.28
- New release 0.28

* Fri Oct 13 2017 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.27
- New release 0.27

* Tue Oct 10 2017 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.26
- New release 0.26

* Tue Aug 22 2017 Carl Morten Boger <c.m.boger@usit.uio.no> - 0.25
- New release 0.25

* Thu Jun 08 2017 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.24
- New release 0.24

* Wed Apr 19 2017 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.23
- Fix bug in sms_send - New release 0.23

* Tue Apr 18 2017 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.22
- Add new scripts to externalscripts - New release 0.22

* Tue Apr 18 2017 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.21
- Install scripts also under /var/lib/zabbix

* Tue Dec 13 2016 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.20
- Upstream bugfix

* Mon Dec 12 2016 Øyvind Hagberg <oyvind.hagberg@usit.uio.no> - 0.19
- Added script to display % used of Docker pool

* Wed Nov 30 2016 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.18
- Add get lastupdate functionality to webapps monitoring

* Mon Nov 21 2016 Øyvind Hagberg <oyvihag@usit.uio.no> - 0.17
- Added script for determining percentage used of an LVM volume group
- Add get lastupdate functionality to webapps monitoring

* Wed Nov 02 2016 Mustafa Ocak <muo@usit.uio.no> - 0.16
- Added script for lld/monitoring ELK containers

* Tue Oct 04 2016 Mustafa Ocak <muo@usit.uio.no> - 0.15
- Added script for teamed interface monitoring

* Fri Jun 03 2016 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.14
- Add scripts for webapps monitoring V2

* Wed Apr 06 2016 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.13
- Add zabbix_get_webapps*, zabbix_elasticsearch_* and get_webapp_instances* scripts

* Wed Nov 25 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.12
- Add zabbix_filesystem_not_monitored.py

* Thu Nov 05 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.11
- Bugfix in rhel5 and python 2.4

* Thu Nov 05 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.10
- Bugfix + zabbix_filesystems_not_monitored.conf file

* Mon Nov 02 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.9
- Diskspace from filesystem_limits.py in bytes 

* Mon Oct 26 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.8
- Add filesystem_limits.py

* Mon Jun 08 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.7
- get_default_gateway support for rhel5

* Mon Jun 08 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.6
- Return only temperature devices with enabled value > 0 when running discovering

* Thu Mar 26 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.5
- Bugfix

* Wed Mar 25 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.4
- Add jabber_send

* Thu Mar 19 2015 Rafael Martinez Guerrero <r.m.guerrero@usit.uio.no> - 0.3
- Add sms_send.py and temperature scripts

* Fri Mar 06 2015 Carl Morten Boger <c.m.boger@usit.uio.no> - 0.2
- Changed version to circumvent koji build error

* Thu Mar 05 2015 Carl Morten Boger <c.m.boger@usit.uio.no> - 0.1
- Initial version of the package
